﻿@using NacGroup.Module.Blog.Models.Schema
@using NacGroup.Module.Core.Models
@using NacGroup.Module.Core.Services
@using Newtonsoft.Json.Linq
@using Microsoft.AspNetCore.Http
@using NacGroup.Module.Blog.Services
@using NacGroup.Infrastructure.Shared
@model NacGroup.Module.Blog.Models.Schema.Blog
@inject IGettingGlobalConfigService GettingGlobalConfigService
@inject IThemeConfigService ThemeConfigService
@inject IHttpContextAccessor HttpContextAccessor
@inject IBlogWebService BlogWebService

@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    var url = globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteURL"].ToString();
    var thumbnailGlobal = url + globalConfig.GlobalThemeConfig["Data"][3]["Src"];
    ViewData["MetaTitle"] = Model.MetaTitle;
    ViewData["MetaDescription"] = Model.MetaDescription;
    ViewData["MetaKeyword"] = Model.MetaKeyword;
    ViewData["MetaThumnailFacebook"] = !string.IsNullOrEmpty(Model?.ThumbnailFB) ? url + Model.ThumbnailFB : thumbnailGlobal;
    Layout = "_Layout";
    var blogRecent = ViewData["BlogRecent"] as PagedResult<Blog>;
    var coverimage = ThemeConfigService.GetByKey(ConstKey.CoverImageThemeKey)?.Data;
    var coversrc = coverimage != null ? JArray.FromObject(coverimage) : null;
    var categoryName = Model.CategoryName.ToLower();
    var blogNews = BlogWebService.Filter(null, 1, 15);
}
@section Style{
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/blog-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/blog-page.min.js"></script>
    <script>
        $(document).ready(function () {
            $(".nav li[data-id='blogs']").addClass("active");
        });
    </script>
}
<main id="blogdetail-page">
    <h1 class="hidden">@Model.Title</h1>
   
    <!--#region section 1-->
    <section id="news-main" class="p-top-4 p-bot-2 container bg-white">
        <div class="section-body">
            <div class="flex-container">
                <div class="w___left">
                    <div class="blog-container">
                        <h2 class="title">
                            @Model.Title
                        </h2>
                        <div class="date p-1">
                            @(Model.CreatedDate.ToNewsDateFormat())
                        </div>
                        <div class="content p-2">
                            @Html.Raw(Model.PageContent)
                        </div>
                        <div class="comment ">
                            <div class="boxcomment">
                                <div class="fb-comments p-top-3" data-href="@(HttpContextAccessor.HttpContext.Request.Host)@(HttpContextAccessor.HttpContext.Request.Path)" data-width="100%" data-numposts="5"></div>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="w___right">
                    @await Html.PartialAsync("_SideBar")
                </div>
            </div>
        </div>
    </section>
    <!--#endregion section 1-->
    
    <div class="related-news p-3">
        <div class="container">
            <h4 class="h3 section-header title-with-line-top h2 text-left m-bot-4">
                Các bài viết liên quan
            </h4>
            <div class="section-body slider-3item owl-carousel owl-theme owl-flex" id="blog-slider">
                @foreach (var recentNews in blogRecent.Results)
                {
                    <div class="blog-item-slider">
                        <figure>
                            <a href="/@recentNews.CategoryUrl/@recentNews.Url/@recentNews.CreatedDate.Day/@recentNews.CreatedDate.Month/@recentNews.CreatedDate.Year)"><img src="@recentNews.Avatar" alt="@recentNews.Title"></a>
                        </figure>
                        <div>
                            <a class="name" href="/@recentNews.CategoryUrl/@recentNews.Url/@recentNews.CreatedDate.Day/@recentNews.CreatedDate.Month/@recentNews.CreatedDate.Year">
                                @recentNews.Title
                            </a>
                            <p>
                                @if (recentNews?.ShortDescription.Length > 80)
                                {
                                    @(string.Concat(recentNews?.ShortDescription.Substring(0,80),"..."))
                                }
                                else
                                {
                                    @(recentNews?.ShortDescription)
                                }
                            </p>
                        </div>
                    </div>
                }
            </div>
        </div>
    </div>
</main>